/** 获取（与主站共享的）登录用户token */
export declare function getToken(): string;
/**
 * 处理用户登录授权
 * @param MAIN_SITE_AUTH_URL 主站处理授权地址，如 http://xxx/#/auth/otherproject?asker=
 * @param MAIN_SITE_URL 主站地址
 */
export declare function useAuth(MAIN_SITE_AUTH_URL: string, MAIN_SITE_URL: string): {
    isAuthed: true;
} | {
    isAuthed: false;
};
export declare function useDesktopAuth(ref: any): {
    isAuthed: any;
};
/** 移除token */
export declare function removeToken(): void;
